function TweakData:colorText()
    colorText:Load()
    local currentColors = {}
    if colorText._data.colorType == 1 then
        currentColors = colorText.data.hotlineMiami
    elseif colorText._data.colorType == 2 then
        currentColors = colorText.data.redGrey
    elseif colorText._data.colorType == 3 then
        currentColors = colorText.data.blueWhite
    elseif colorText._data.colorType == 4 then
        currentColors = colorText.data.orange
    elseif colorText._data.colorType == 5 then
        currentColors = colorText.data.aquaFuchsia
    elseif colorText._data.colorType == 6 then
        currentColors = colorText.data.greenWhite
    elseif colorText._data.colorType == 7 then
        currentColors = colorText.data.default
    elseif colorText._data.colorType == 8 then
        colorText.data.custom = {
            colorText_chat_color_1                    = colorText:colorDecode(colorText._data.colorText_chat_color_1),
            colorText_chat_color_2                    = colorText:colorDecode(colorText._data.colorText_chat_color_2),
            colorText_chat_color_3                    = colorText:colorDecode(colorText._data.colorText_chat_color_3),
            colorText_chat_color_4                    = colorText:colorDecode(colorText._data.colorText_chat_color_4),
            colorText_chat_color_5                    = colorText:colorDecode(colorText._data.colorText_chat_color_5),
            colorText_overlay_effects_spectator_color = colorText:colorDecode(colorText._data.colorText_overlay_effects_spectator_color),
            colorText_screen_color_button_stage_2     = colorText:colorDecode(colorText._data.colorText_screen_color_button_stage_2),
            colorText_screen_color_button_stage_3     = colorText:colorDecode(colorText._data.colorText_screen_color_button_stage_3),
            colorText_screen_color_community_color    = colorText:colorDecode(colorText._data.colorText_screen_color_community_color),
            colorText_screen_color_crime_spree_risk   = colorText:colorDecode(colorText._data.colorText_screen_color_crime_spree_risk),
            colorText_screen_color_crimenet_lines     = colorText:colorDecode(colorText._data.colorText_screen_color_crimenet_lines),
            colorText_screen_color_dlc_color          = colorText:colorDecode(colorText._data.colorText_screen_color_dlc_color),
            colorText_screen_color_important_1        = colorText:colorDecode(colorText._data.colorText_screen_color_important_1),
            colorText_screen_color_item_stage_3       = colorText:colorDecode(colorText._data.colorText_screen_color_item_stage_3),
            colorText_screen_color_resource           = colorText:colorDecode(colorText._data.colorText_screen_color_resource),
            colorText_screen_color_risk               = colorText:colorDecode(colorText._data.colorText_screen_color_risk),
            colorText_screen_color_skirmish_color     = colorText:colorDecode(colorText._data.colorText_screen_color_skirmish_color),
            colorText_screen_color_text               = colorText:colorDecode(colorText._data.colorText_screen_color_text),
            colorText_screen_color_title              = colorText:colorDecode(colorText._data.colorText_screen_color_title),
            colorText_system_chat_color               = colorText:colorDecode(colorText._data.colorText_system_chat_color),
            colorText_preplanning_peer_colors_1       = colorText:colorDecode(colorText._data.colorText_preplanning_peer_colors_1),
            colorText_preplanning_peer_colors_2       = colorText:colorDecode(colorText._data.colorText_preplanning_peer_colors_2),
            colorText_preplanning_peer_colors_3       = colorText:colorDecode(colorText._data.colorText_preplanning_peer_colors_3),
            colorText_preplanning_peer_colors_4       = colorText:colorDecode(colorText._data.colorText_preplanning_peer_colors_4),
        }
        currentColors = colorText.data.custom
    end
    self.overlay_effects.spectator.color    = Color(currentColors.colorText_overlay_effects_spectator_color)
    self.screen_colors.button_stage_2       = Color(currentColors.colorText_screen_color_button_stage_2)
    self.screen_colors.button_stage_3       = Color(currentColors.colorText_screen_color_button_stage_3)
    self.screen_colors.community_color      = Color(currentColors.colorText_screen_color_community_color)
    self.screen_colors.crime_spree_risk     = Color(currentColors.colorText_screen_color_crime_spree_risk)
    self.screen_colors.crimenet_lines       = Color(currentColors.colorText_screen_color_crimenet_lines)
    self.screen_colors.dlc_color            = Color(currentColors.colorText_screen_color_dlc_color)
    self.screen_colors.important_1          = Color(currentColors.colorText_screen_color_important_1)
    self.screen_colors.item_stage_3         = Color(currentColors.colorText_screen_color_item_stage_3)
    self.screen_colors.resource             = Color(currentColors.colorText_screen_color_resource)
    self.screen_colors.risk                 = Color(currentColors.colorText_screen_color_risk)
    self.screen_colors.skirmish_color       = Color(currentColors.colorText_screen_color_skirmish_color)
    self.screen_colors.text                 = Color(currentColors.colorText_screen_color_text)
    self.screen_colors.title                = Color(currentColors.colorText_screen_color_title)
    self.chat_colors[1]                     = Color(currentColors.colorText_chat_color_1)
    self.chat_colors[2]                     = Color(currentColors.colorText_chat_color_2)
    self.chat_colors[3]                     = Color(currentColors.colorText_chat_color_3)
    self.chat_colors[4]                     = Color(currentColors.colorText_chat_color_4)
    self.chat_colors[5]                     = Color(currentColors.colorText_chat_color_5)
    self.system_chat_color                  = Color(currentColors.colorText_system_chat_color)
    self.peer_vector_colors[1] = Vector3(self.chat_colors[1]:unpack())
    self.peer_vector_colors[2] = Vector3(self.chat_colors[2]:unpack())
    self.peer_vector_colors[3] = Vector3(self.chat_colors[3]:unpack())
    self.peer_vector_colors[4] = Vector3(self.chat_colors[4]:unpack())
    self.peer_vector_colors[5] = Vector3(self.chat_colors[5]:unpack())
    self.preplanning_peer_colors = {
        Color(currentColors.colorText_preplanning_peer_colors_1),
        Color(currentColors.colorText_preplanning_peer_colors_2),
        Color(currentColors.colorText_preplanning_peer_colors_3),
        Color(currentColors.colorText_preplanning_peer_colors_4)
    }
end

tweak_data:colorText()